
#include "relay/interface/StorageSource.h"

class ESP32StorageSource: public StorageSource {

    bool writeByteAtIndex(uint8_t byte, uint16_t index) override;

    bool canProvideStorageWithSize(uint16_t size) override;

    bool commitData();

    uint8_t readByteAtIndex(uint16_t index) override;

    uint16_t readBytes(uint16_t startIndex, uint16_t count, uint8_t* output) override;

    uint16_t writeBytes(uint8_t* bytes, uint16_t count, uint16_t startIndex) override;
};